Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.swing
Class JDetailedMessageBox

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          edu.emory.mathcs.util.swing.JDetailedMessageBox

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class JDetailedMessageBox
extends javax.swing.JDialog

Message box with the expandable detail pane at the bottom of the window. Allows users to show/hide message details that may be represented by any Swing component. Construction and usage patterns are similar to that of `JOptionPane` except that the "details" object is additionally required. If this object is a JComponent, it is used as is; otherwise, it is converted to string and displayed in a text box.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `for detailed documentation`, Serialized Form

Nested Class Summary
`protected class` | `JDetailedMessageBox.ButtonActionListener`

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`int` | `getValue()`
`static JDetailedMessageBox` | `newInstance(java.awt.Component parentComponent, java.lang.String title, java.lang.Object message, int messageType, int optionType, javax.swing.Icon icon, java.lang.Object details)`
`static JDetailedMessageBox` | `newInstance(java.awt.Component parentComponent, java.lang.String title, java.lang.Object message, int messageType, int optionType, javax.swing.Icon icon, java.lang.Object[] options, int initialIndex, java.lang.Object details)`
`static JDetailedMessageBox` | `newInstance(java.awt.Component parentComponent, java.lang.String title, java.lang.Object message, int messageType, int optionType, javax.swing.Icon icon, java.lang.Object[] options, java.lang.Object details)`
`static JDetailedMessageBox` | `newInstance(java.awt.Component parentComponent, java.lang.String title, java.lang.Object message, int messageType, int optionType, java.lang.Object details)`
`static JDetailedMessageBox` | `newInstance(java.awt.Component parentComponent, java.lang.String title, java.lang.Object message, int messageType, int optionType, java.lang.Object icon, java.lang.Object[] options, int initialIndex, java.lang.Object details)`
`void` | `setInitialFocus()`
`static int` | `showConfirmDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.Object details)`
`static int` | `showConfirmDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType, javax.swing.Icon icon, java.lang.Object details)`
`static int` | `showConfirmDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType, java.lang.Object details)`
`static int` | `showConfirmDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, java.lang.Object details)`
`static void` | `showMessageDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.Object details)`
`static void` | `showMessageDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int messageType, javax.swing.Icon icon, java.lang.Object details)`
`static void` | `showMessageDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int messageType, java.lang.Object details)`
`static int` | `showOptionDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType, javax.swing.Icon icon, java.lang.Object[] options, java.lang.Object details)`
`static int` | `showOptionDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType, java.lang.Object[] options, java.lang.Object details)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newInstance

    public static JDetailedMessageBox newInstance(java.awt.Component parentComponent,
                                                  java.lang.String title,
                                                  java.lang.Object message,
                                                  int messageType,
                                                  int optionType,
                                                  java.lang.Object details)

### newInstance

    public static JDetailedMessageBox newInstance(java.awt.Component parentComponent,
                                                  java.lang.String title,
                                                  java.lang.Object message,
                                                  int messageType,
                                                  int optionType,
                                                  javax.swing.Icon icon,
                                                  java.lang.Object details)

### newInstance

    public static JDetailedMessageBox newInstance(java.awt.Component parentComponent,
                                                  java.lang.String title,
                                                  java.lang.Object message,
                                                  int messageType,
                                                  int optionType,
                                                  javax.swing.Icon icon,
                                                  java.lang.Object[] options,
                                                  java.lang.Object details)

### newInstance

    public static JDetailedMessageBox newInstance(java.awt.Component parentComponent,
                                                  java.lang.String title,
                                                  java.lang.Object message,
                                                  int messageType,
                                                  int optionType,
                                                  javax.swing.Icon icon,
                                                  java.lang.Object[] options,
                                                  int initialIndex,
                                                  java.lang.Object details)

### newInstance

    public static JDetailedMessageBox newInstance(java.awt.Component parentComponent,
                                                  java.lang.String title,
                                                  java.lang.Object message,
                                                  int messageType,
                                                  int optionType,
                                                  java.lang.Object icon,
                                                  java.lang.Object[] options,
                                                  int initialIndex,
                                                  java.lang.Object details)

### setInitialFocus

    public void setInitialFocus()

### getValue

    public int getValue()

### showMessageDialog

    public static void showMessageDialog(java.awt.Component parentComponent,
                                         java.lang.Object message,
                                         java.lang.Object details)

### showMessageDialog

    public static void showMessageDialog(java.awt.Component parentComponent,
                                         java.lang.Object message,
                                         java.lang.String title,
                                         int messageType,
                                         java.lang.Object details)

### showMessageDialog

    public static void showMessageDialog(java.awt.Component parentComponent,
                                         java.lang.Object message,
                                         java.lang.String title,
                                         int messageType,
                                         javax.swing.Icon icon,
                                         java.lang.Object details)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Object message,
                                        java.lang.Object details)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Object message,
                                        java.lang.String title,
                                        int optionType,
                                        java.lang.Object details)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Object message,
                                        java.lang.String title,
                                        int optionType,
                                        int messageType,
                                        java.lang.Object details)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Object message,
                                        java.lang.String title,
                                        int optionType,
                                        int messageType,
                                        javax.swing.Icon icon,
                                        java.lang.Object details)

### showOptionDialog

    public static int showOptionDialog(java.awt.Component parentComponent,
                                       java.lang.Object message,
                                       java.lang.String title,
                                       int optionType,
                                       int messageType,
                                       java.lang.Object[] options,
                                       java.lang.Object details)

### showOptionDialog

    public static int showOptionDialog(java.awt.Component parentComponent,
                                       java.lang.Object message,
                                       java.lang.String title,
                                       int optionType,
                                       int messageType,
                                       javax.swing.Icon icon,
                                       java.lang.Object[] options,
                                       java.lang.Object details)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD